// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: delete_peer_roles.sql

package queries

import (
	"context"
)

const deletePeerRoles = `-- name: DeletePeerRoles :exec

DELETE FROM peers.peers_roles WHERE peer_id = $1
`

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) DeletePeerRoles(ctx context.Context, peerID string) error {
	_, err := q.db.Exec(ctx, deletePeerRoles, peerID)
	return err
}
